Subject: bug#4482: 23.1.50; "Mode Line" in the Emacs manual "Needs Work"(TM)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Sep 2009 00:16:36 +0300

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

This node of the manual has several problems:

 . It does not mention the "@" character that is put in the mode line
   of emacsclient frames.

 . It does not explain what do I>, I+, and I@ input method indications
   mean.  The cross-reference to the "Input Methods" node does not
   help, because this issue is not explained there, either (nor should
   it be, IMO).

 . The differences between text-mode and GUI terminals are mentioned
   in a way that is hard to read.  I would suggest to rewrite the text
   using an @itemize list, with a separate @item for each indicator
   that can be in the mode line, and for those that can only appear on
   text-mode terminals, say just that.

 . For a user on a text-mode terminal, where a mouse cannot be used to
   have the value that corresponds to the indicator spelled out, it
   would be good to mention variables that hold those values, so that
   the user could evaluate them when she needs that.  For example, the
   mnemonics for the various coding-systems can be seen by evaluating
   buffer-file-coding-system etc.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/gnu/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-09-18 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x <backspace> <backspace> C-u C-h i g n <tab> <backspace> 
<backspace> i n f <tab> e m a <tab> <return> i m o 
d e SPC l i n e <return> M-x r e p o r t - e m a <tab> 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
call-interactively: Text is read-only [2 times]
Quit
Found `mode line' in Concept Index.  (14 total; use `,' for next)

Load-path shadows:
None found.